curl --request GET \
--url https://api.agntdata.dev/v1/linkedin/get-received-recommendations \
--header 'Authorization: <api-key>'{
"success": true,
"message": "",
"data": [
{
"text": "Ryan is a true leader. He inspires those who work with him and is astute, charismatic, and focused; for these reasons he is extremely effective at rallying colleagues around common goals and getting things done. He possesses the rare capacity to integrate people skills and sense of humor with strategy and execution. Ryan is brilliantly creative is responsible for initiating and executing the most successful, groundbreaking initiatives at Glam. I consider it a privilege to work for Ryan.",
"created": 1237372587484,
"lastModified": 1237386379298,
"relationship": "RECOMMENDER_REPORTED_TO_RECOMMENDEE",
"recommender": {
"firstName": "Christina",
"lastName": "Cece",
"occupation": "Software Engineer",
"username": "christinacece"
}
},
{
"text": "Ryan is a superb manager. Empowering, focused, detail-oriented, and most of all, encouraging. Ryan is also one of the most innovative thinkers I've met--which creates an exciting and inventive atmosphere in which to work. Furthermore, he is eager to hear from others--and always appreciates and promotes solid ideas.",
"created": 1237371051897,
"lastModified": 1237386364178,
"relationship": "RECOMMENDER_REPORTED_TO_RECOMMENDEE",
"recommender": {
"firstName": "Tracey",
"lastName": "Harrington McCoy",
"occupation": "Entertainment Writer/Editor: People Mag, Newsweek, Parents Mag, Forbes, AARP, HelloGiggles, Aol/HuffPo | Founder & CEO, Written By Media",
"username": "traceyharringtonmccoy"
}
}
],
"total": 2
}To scrape all recommendations from a profile, increase the start value to +100 for each request until you reach the total recommendations count. You can find the total recommendations count in the response
curl --request GET \
--url https://api.agntdata.dev/v1/linkedin/get-received-recommendations \
--header 'Authorization: <api-key>'{
"success": true,
"message": "",
"data": [
{
"text": "Ryan is a true leader. He inspires those who work with him and is astute, charismatic, and focused; for these reasons he is extremely effective at rallying colleagues around common goals and getting things done. He possesses the rare capacity to integrate people skills and sense of humor with strategy and execution. Ryan is brilliantly creative is responsible for initiating and executing the most successful, groundbreaking initiatives at Glam. I consider it a privilege to work for Ryan.",
"created": 1237372587484,
"lastModified": 1237386379298,
"relationship": "RECOMMENDER_REPORTED_TO_RECOMMENDEE",
"recommender": {
"firstName": "Christina",
"lastName": "Cece",
"occupation": "Software Engineer",
"username": "christinacece"
}
},
{
"text": "Ryan is a superb manager. Empowering, focused, detail-oriented, and most of all, encouraging. Ryan is also one of the most innovative thinkers I've met--which creates an exciting and inventive atmosphere in which to work. Furthermore, he is eager to hear from others--and always appreciates and promotes solid ideas.",
"created": 1237371051897,
"lastModified": 1237386364178,
"relationship": "RECOMMENDER_REPORTED_TO_RECOMMENDEE",
"recommender": {
"firstName": "Tracey",
"lastName": "Harrington McCoy",
"occupation": "Entertainment Writer/Editor: People Mag, Newsweek, Parents Mag, Forbes, AARP, HelloGiggles, Aol/HuffPo | Founder & CEO, Written By Media",
"username": "traceyharringtonmccoy"
}
}
],
"total": 2
}Bearer token. Pass your agntdata API key as: Authorization: Bearer agnt_live_...